org.eclipse.viatra.cep.core.metamodels.automaton

## Interface Automaton

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AutomatonImpl

      public interface Automaton
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Automaton'.

  The following features are supported:

  - `States`
  - `Event Pattern Id`
  - `Event Tokens`
  - `Timed Zones`
  - `Initial State`
  - `Final States`
  - `Trap State`
  See Also:
    `AutomatonPackage.getAutomaton()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEventPatternId()` Returns the value of the 'Event Pattern Id' attribute.
    `org.eclipse.emf.common.util.EList<EventToken>` | `getEventTokens()` Returns the value of the 'Event Tokens' containment reference list.
    `org.eclipse.emf.common.util.EList<FinalState>` | `getFinalStates()` Returns the value of the 'Final States' reference list.
    `InitState` | `getInitialState()` Returns the value of the 'Initial State' reference.
    `org.eclipse.emf.common.util.EList<State>` | `getStates()` Returns the value of the 'States' containment reference list.
    `org.eclipse.emf.common.util.EList<TimedZone>` | `getTimedZones()` Returns the value of the 'Timed Zones' containment reference list.
    `TrapState` | `getTrapState()` Returns the value of the 'Trap State' reference.
    `void` | `setEventPatternId(java.lang.String value)` Sets the value of the '`Event Pattern Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStates

          org.eclipse.emf.common.util.EList<State> getStates()

      Returns the value of the 'States' containment reference list. The list contents are of type `State`.

      If the meaning of the 'States' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'States' containment reference list.
      See Also:
        `AutomatonPackage.getAutomaton_States()`
      Generated:
      Model:
        containment="true"

    - #### getEventPatternId

          java.lang.String getEventPatternId()

      Returns the value of the 'Event Pattern Id' attribute.

      If the meaning of the 'Event Pattern Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Pattern Id' attribute.
      See Also:
        `setEventPatternId(String)`, `AutomatonPackage.getAutomaton_EventPatternId()`
      Generated:
      Model:
        required="true"

    - #### setEventPatternId

          void setEventPatternId(java.lang.String value)

      Sets the value of the '`Event Pattern Id`' attribute.
      Parameters:
        `value` - the new value of the 'Event Pattern Id' attribute.
      See Also:
        `getEventPatternId()`
      Generated:

    - #### getEventTokens

          org.eclipse.emf.common.util.EList<EventToken> getEventTokens()

      Returns the value of the 'Event Tokens' containment reference list. The list contents are of type `EventToken`.

      If the meaning of the 'Event Tokens' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Tokens' containment reference list.
      See Also:
        `AutomatonPackage.getAutomaton_EventTokens()`
      Generated:
      Model:
        containment="true"

    - #### getTimedZones

          org.eclipse.emf.common.util.EList<TimedZone> getTimedZones()

      Returns the value of the 'Timed Zones' containment reference list. The list contents are of type `TimedZone`.

      If the meaning of the 'Timed Zones' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timed Zones' containment reference list.
      See Also:
        `AutomatonPackage.getAutomaton_TimedZones()`
      Generated:
      Model:
        containment="true"

    - #### getInitialState

          InitState getInitialState()

      Returns the value of the 'Initial State' reference.

      If the meaning of the 'Initial State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Initial State' reference.
      See Also:
        `AutomatonPackage.getAutomaton_InitialState()`
      Generated:
      Model:
        required="true" transient="true" changeable="false" volatile="true" derived="true" annotation="org.eclipse.viatra.query.querybasedfeature patternFQN='org.eclipse.viatra.cep.core.metamodels.derived.initialState'"

    - #### getFinalStates

          org.eclipse.emf.common.util.EList<FinalState> getFinalStates()

      Returns the value of the 'Final States' reference list. The list contents are of type `FinalState`.

      If the meaning of the 'Final States' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Final States' reference list.
      See Also:
        `AutomatonPackage.getAutomaton_FinalStates()`
      Generated:
      Model:
        required="true" transient="true" changeable="false" volatile="true" derived="true" annotation="org.eclipse.viatra.query.querybasedfeature patternFQN='org.eclipse.viatra.cep.core.metamodels.derived.finalStates'"

    - #### getTrapState

          TrapState getTrapState()

      Returns the value of the 'Trap State' reference.

      If the meaning of the 'Trap State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Trap State' reference.
      See Also:
        `AutomatonPackage.getAutomaton_TrapState()`
      Generated:
      Model:
        required="true" transient="true" changeable="false" volatile="true" derived="true" annotation="org.eclipse.viatra.query.querybasedfeature patternFQN='org.eclipse.viatra.cep.core.metamodels.derived.trapState'"